Glib::Boxed(3pm)

NAME
Glib::Boxed - Generic wrappers for C structures

DESCRIPTION
Glib::Boxed is a generic wrapper mechanism for arbitrary C structures. For the most part you don't care about this as a Perl developer, but it is important to know that all Glib::Boxed descendents can be copied with the "copy" method.

HIERARCHY
  Glib::Boxed

METHODS

  copy_of_boxed = $boxed->copy
Create and return a new copy of $boxed.

SEE ALSO
Glib

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.